Skip to main content
`Ctrl`+`K`

# MatMumpsGetInverseTranspose

Get user-specified set of entries in inverse of matrix \(A^T \) https://mumps-solver.org/index.php?page=doc

## Synopsis

    PetscErrorCode MatMumpsGetInverseTranspose(Mat F, Mat spRHST)

Logically Collective

## Input Parameter

- F - the factored matrix of A obtained by calling `MatGetFactor()` with a `MatSolverType` of `MATSOLVERMUMPS` and a `MatFactorType` of `MAT_FACTOR_LU` or `MAT_FACTOR_CHOLESKY`

## Output Parameter

- spRHST - sequential sparse matrix in `MATAIJ` format containing the requested entries of inverse of `A`^T

## See Also

Matrices, `Mat`, `MatGetFactor()`, `MatCreateTranspose()`, `MatMumpsGetInverse()`

## Level

beginner

## Location

src/mat/impls/aij/mpi/mumps/mumps.c

## Implementations

MatMumpsGetInverseTranspose_MUMPS() in src/mat/impls/aij/mpi/mumps/impl/imumps.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages